# Get Stages execution List for a given Pipeline execution.

Returns list of Stage identifiers with their names and stage dependencies

Endpoint: GET /v1/orgs/{org}/projects/{project}/pipelines/{pipeline}/execute/stages-execution-list
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

  - `pipeline` (string, required)
    Pipeline identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

  - `Load-From-Cache` (string)
    Flag to enable loading the remote Pipeline from git or git cache

## Query parameters:

  - `branch_name` (string)
    Name of the branch (for Git Experience).

  - `connector_ref` (string)
    Identifier of the Harness Connector used for CRUD operations on the Entity (for Git Experience).

  - `repo_name` (string)
    Name of the repository (for Git Experience).

## Response 200 fields (application/json):

  - `stage_identifier` (string)
    Stage Identifier

  - `stage_name` (string)
    Stage Name

  - `message` (string)
    Warning message for Selective stage execution.

  - `is_to_be_blocked` (boolean)
    Checks if there is a dependency and stage cannot be run individually.

  - `stages_required` (array)
    Stages that needs to be ran along with this stage as there is a dependency.


